X2Go Bug report logs - #337
nxcomp doesn't compile against libc++ STL

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Clemens Lang <cal@macports.org>

Date: Tue, 5 Nov 2013 01:18:02 UTC

Severity: normal

Tags: pending

Found in version 3.5.0.21

Fixed in version 2:3.5.0.22

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#337; Package nx-libs. (Tue, 05 Nov 2013 01:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Clemens Lang <cal@macports.org>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 05 Nov 2013 01:18:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Clemens Lang <cal@macports.org>
To: submit@bugs.x2go.org
Subject: nxcomp doesn't compile against libc++ STL
Date: Tue, 5 Nov 2013 02:05:15 +0100
[Message part 1 (text/plain, inline)]
Package: nx-libs
Version: 3.5.0.21

The nx-libs-lite package does not compile on OS X Mavericks because
Apple's clang compilers now default to compiling against the libc++ STL
rather than (their outdated copy of) libstdc++.

While the compiler still allows changing that, we should not rely on
this being possible forever.

The compiler chokes in Types.h, specifically the clear() methods in
subclasses of vectors that use implementation details of the GNU STL.
The attached patch fixes these compilation issues by not overriding the
clear() method when compiling against libc++, since the libc++ headers
seem to do essentially the same as the overriden method.

HTH,
-- 
Clemens Lang
MacPorts Developer

[patch-nxcomp__Types.h-dont-use-STL-internals-on-libc++.diff (text/x-diff, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#337; Package nx-libs. (Tue, 03 Dec 2013 20:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 03 Dec 2013 20:48:02 GMT) (full text, mbox, link).


Message #10 received at 337@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 337-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 337@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Tue, 3 Dec 2013 21:33:48 +0100 (CET)
tag #337 pending
fixed #337 2:3.5.0.22
thanks

Hello,

X2Go issue #337 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=08312e2

The issue will most likely be fixed in src:nx-libs (2:3.5.0.22).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 08312e2e16fe5fe97b0c887353ac77457b4f5a0f
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Dec 3 21:33:08 2013 +0100

    Add patch 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch. Fix FTBFS of nx-libs-lite on Mac OS X Mavericks. (Fixes: #337).

diff --git a/debian/changelog b/debian/changelog
index a4c78fb..78ce45e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -13,6 +13,10 @@ nx-libs (2:3.5.0.22-0x2go1) UNRELEASED; urgency=low
   * debian/control:
     + Add libfreetype6-dev to Build-Depends: field.
 
+  [ Clemens Lang ]
+  * Add patch 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch. Fix
+    FTBFS of nx-libs-lite on Mac OS X Mavericks. (Fixes: #337).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 30 Aug 2013 16:20:18 +0200
 
 nx-libs (2:3.5.0.21-0) unstable; urgency=low


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 03 Dec 2013 20:48:02 GMT) (full text, mbox, link).


Marked as fixed in versions 2:3.5.0.22. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 03 Dec 2013 20:48:02 GMT) (full text, mbox, link).


Message sent on to Clemens Lang <cal@macports.org>:
Bug#337. (Tue, 03 Dec 2013 20:48:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#337; Package nx-libs. (Sat, 04 Jan 2014 20:45:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 04 Jan 2014 20:45:03 GMT) (full text, mbox, link).


Message #22 received at 337@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 337-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 337@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Sat, 4 Jan 2014 21:42:45 +0100 (CET)
close #337
thanks

Hello,

we are very hopeful that X2Go issue #337 reported by you
has been resolved in the new release (2:3.5.0.22) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.22)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=6afd7646df1e75991a11e89912ecb79b9cc668eb;hp=b2a3143f8a9c2d5aaf20c14408354ef9a712a3ee

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.22-0x2go1
Status: RELEASE
Date: Sat, 04 Jan 2014 21:39:17 +0100
Fixes: 314 337 370
Changes: 
 nx-libs (2:3.5.0.22-0x2go1) RELEASED; urgency=low
 .
   [ Mirraz Mirraz ]
   * Add patch: 603_nx-X11_compilation_warnings.full.patch. Fix 3 evident bugs:
     one implicit function declaration issue and two array index out of bounds
     issues. (Fixes: #314).
 .
   [ Mike Gabriel ]
   * Add patch 604_nx-X11_recent-freetype-API.full.patch. Fix FTBFS against
     recent (>= 2.5.0) libfreetype6 API.
   * Refresh patch: 600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch.
   * Improve patch:
     601_nx-X11_build-option-changes-to-not-use-bundled-libraries.full.patch.
     Improvements taken from the current Fedora package. Thanks to Orion
     Paplowski!!! Also adapt roll-tarball.sh do dropping more bundled
     libraries.
   * Rename patch: 302_nxagent_configurable-keystrokes.full.patch to
     320_nxagent_configurable-keystrokes.full.patch.
   * debian/source/format:
     + Switch to format 1.0.
   * debian/control:
     + Add libfreetype6-dev to Build-Depends: field.
     + Drop symlinking libNX_xrandr for setting a custom LD_LIBRARY_PATH. Not in
       use anymore and not recommended at all to have that.
     + Make sure all nx-libs components depend on the very same version.
   * debian/rules:
     + Remove bundled libraries from source tree before building the package.
   * nx-libs.spec:
     + Ship nx-libs.spec (RPM package definitions) in upstream project. (Thanks
       to the Fedora package maintainers). File differs from the Fedora file
       already.
     + Clear (Fedora package) changelog.
     + Use local tarball, don't expect  ,,-full'' in tarball name.
     + The RPM macro for the linker flags does not exist on EPEL. Thus, hardcode
       __global_ldflags macro for EPEL builds.
     + Enable Xinerama support for RPM packages. (Fixes: #370).
 .
   [ Clemens Lang ]
   * Add patch 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch. Fix
     FTBFS of nx-libs-lite on Mac OS X Mavericks. (Fixes: #337).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#337; Package nx-libs. (Sat, 04 Jan 2014 20:45:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 04 Jan 2014 20:45:03 GMT) (full text, mbox, link).


Message #27 received at 337@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 337-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 337@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Sat, 4 Jan 2014 21:42:44 +0100 (CET)
close #337
thanks

Hello,

we are very hopeful that X2Go issue #337 reported by you
has been resolved in the new release (2:3.5.0.22) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.22)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=b07b3cca09f5aa4a5c32dc4f75df2978a8aacaac;hp=b2a3143f8a9c2d5aaf20c14408354ef9a712a3ee

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.22-0x2go1
Status: RELEASE
Date: Sat, 04 Jan 2014 21:39:17 +0100
Fixes: 314 337 370
Changes: 
 nx-libs (2:3.5.0.22-0x2go1) RELEASED; urgency=low
 .
   [ Mirraz Mirraz ]
   * Add patch: 603_nx-X11_compilation_warnings.full.patch. Fix 3 evident bugs:
     one implicit function declaration issue and two array index out of bounds
     issues. (Fixes: #314).
 .
   [ Mike Gabriel ]
   * Add patch 604_nx-X11_recent-freetype-API.full.patch. Fix FTBFS against
     recent (>= 2.5.0) libfreetype6 API.
   * Refresh patch: 600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch.
   * Improve patch:
     601_nx-X11_build-option-changes-to-not-use-bundled-libraries.full.patch.
     Improvements taken from the current Fedora package. Thanks to Orion
     Paplowski!!! Also adapt roll-tarball.sh do dropping more bundled
     libraries.
   * Rename patch: 302_nxagent_configurable-keystrokes.full.patch to
     320_nxagent_configurable-keystrokes.full.patch.
   * debian/source/format:
     + Switch to format 1.0.
   * debian/control:
     + Add libfreetype6-dev to Build-Depends: field.
     + Drop symlinking libNX_xrandr for setting a custom LD_LIBRARY_PATH. Not in
       use anymore and not recommended at all to have that.
     + Make sure all nx-libs components depend on the very same version.
   * debian/rules:
     + Remove bundled libraries from source tree before building the package.
   * nx-libs.spec:
     + Ship nx-libs.spec (RPM package definitions) in upstream project. (Thanks
       to the Fedora package maintainers). File differs from the Fedora file
       already.
     + Clear (Fedora package) changelog.
     + Use local tarball, don't expect  ,,-full'' in tarball name.
     + The RPM macro for the linker flags does not exist on EPEL. Thus, hardcode
       __global_ldflags macro for EPEL builds.
     + Enable Xinerama support for RPM packages. (Fixes: #370).
 .
   [ Clemens Lang ]
   * Add patch 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch. Fix
     FTBFS of nx-libs-lite on Mac OS X Mavericks. (Fixes: #337).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 04 Jan 2014 20:45:04 GMT) (full text, mbox, link).


Notification sent to Clemens Lang <cal@macports.org>:
Bug acknowledged by developer. (Sat, 04 Jan 2014 20:45:04 GMT) (full text, mbox, link).


Message sent on to Clemens Lang <cal@macports.org>:
Bug#337. (Sat, 04 Jan 2014 20:45:07 GMT) (full text, mbox, link).


Message sent on to Clemens Lang <cal@macports.org>:
Bug#337. (Sat, 04 Jan 2014 20:45:08 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 02 Feb 2014 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 6 07:50:49 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.